# $Revision: 1.11 $, $Date: 2008/07/27 22:41:10 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Test
%define	pnam	Pod-Coverage
Summary:	Test::Pod::Coverage - check for POD coverage in your CPAN distribution
Summary(pl.UTF-8):	Test::Pod::Coverage - sprawdzanie pokrycia POD w pakiecie CPAN
Name:		perl-Test-Pod-Coverage
Version:	1.08
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	33405cca7c75b7b89c06ba30eea66692
URL:		http://search.cpan.org/dist/Test-Pod-Coverage
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Pod-Coverage
BuildRequires:	perl-Test-Pod >= 1.14
BuildRequires:	perl-Test-Simple >= 0.64
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Checks for POD coverage in files for your CPAN distribution.

  use Test::Pod::Coverage tests=>1;
  pod_coverage_ok( "Foo::Bar", "Foo::Bar is covered" );

%description -l pl.UTF-8
Ten moduł sprawdza pokrycie POD w plikach dla pakietu CPAN.

  use Test::Pod::Coverage tests=>1;
  pod_coverage_ok( "Foo::Bar", "Foo::Bar jest pokryte" );

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%dir %{perl_vendorlib}/Test/Pod
%{perl_vendorlib}/Test/Pod/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Test-Pod-Coverage.spec,v $
Revision 1.11  2008/07/27 22:41:10  arekm
- release 2

Revision 1.10  2007-02-13 07:47:15  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.8  2006/08/24 14:33:14  radek
- BR: perl-Test-Simple >= 0.64

Revision 1.7  2006/08/15 14:42:04  radek
- BR: perl-Test-Pod >= 1.14 for tests

Revision 1.6  2006/08/13 19:25:18  ankry
- cosmetics

Revision 1.5  2006/06/22 09:02:30  maciek2w
- updated to 1.08
- added dir

Revision 1.4  2005/08/18 19:47:14  twittner
- pl fix (sprzedzanie -> sprawdzanie)

Revision 1.3  2005/08/18 18:02:18  radek
- release 1 (don't remember why was it 0.1...)

Revision 1.2  2005/08/17 22:52:16  qboosh
- pl, URL

Revision 1.1  2005/08/13 17:54:47  radek
- new
